#!/bin/bash

source ../template_script/validity

TEST_NAME=validity_2d_all_but_long

INSTSET="$DATADIR/2d/repartition_5000"

ALGOSET="RECT-UNIFORM RECT-NICOL HIER-RB-LOAD HIER-RB-DIST HIER-RB-VER HIER-RB-HOR HIER-RELAXED-LOAD HIER-RELAXED-DIST HIER-RELAXED-VER HIER-RELAXED-HOR HIER-RB-MIDDLE JAG-PQ-HEUR-VER JAG-PQ-HEUR-HOR JAG-PQ-HEUR-BEST JAG-M-HEUR-PROBE-HOR JAG-M-HEUR-PROBE-VER JAG-M-HEUR-PROBE-BEST JAG-PQ-OPT-INTERVAL-HOR JAG-PQ-OPT-INTERVAL-VER JAG-PQ-OPT-INTERVAL-BEST"

PROCSET="4 9 16 25 36 49 64 81 100 121 144 169 196 225 256 289 324 361 400 441 484 529 576 625 676 729 784 841 900 961 1024 1089 1156 1225 1296 1369 1444 1521 1600 4096"

check_validity_on_all;

TEST_NAME=hier-on-mp5

INSTSET="$DATADIR/2d/mp5.bz2"

ALGOSET="HIER-RB-LOAD HIER-RELAXED-LOAD"
PROCSET="256 32 1024"

check_validity_on_all;
