#include <util/aggreg2dto1dpart.hpp>

template <typename T, typename Pr>
util::Aggreg2Dto1Dpart<T,Pr>::Aggreg2Dto1Dpart(const Pr& p, int nbproc)
  :pr(p), m(nbproc)
{
  temp = new int [m+1];
}


template <typename T, typename Pr>
T util::Aggreg2Dto1Dpart<T,Pr>::interval(int i1, int i2) const
{
  if (i2<=i1) return 0;
  util::Aggreg2Dto1D<T, Pr, false> a (pr, i1+1, i2, 1,  pr.prefixsizeY() - 1);
  return oned::NicolPlus< T, util::Aggreg2Dto1D<T,Pr, false> >::nicol_plus (m, a, pr.prefixsizeY(), temp, -1);
}

template <typename T, typename Pr>
util::Aggreg2Dto1Dpart<T,Pr>::~Aggreg2Dto1Dpart ()
{
  delete[] temp;
}
