
// This file is part of SPart, Spatially Located Workload Partitioner.

// Copyright (C) 2011, The Ohio State University
// SPart developed by Erdeniz O. Bas, Erik Saule and Umit V. Catalyurek 

// For questions, comments, suggestions, bugs please send e-mail to: 
// Umit V. Catalyurek   catalyurek.1@osu.edu

// SPart is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later
// version.

// SPart is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.

// You should have received a copy of the GNU General Public License
// along with SPart; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

// The full text of the GPL license version 2 is available in "gpl.txt".

#include "oned/rec_bisect_minmax.hpp"
#include <cassert>

int main()
{
  using namespace oned;
  //[0 5 5 20 6 3 18 5 9 30 0 0 0 0]
  int arr[] = {0,0,5,10,30,36,39,57,62,71,101,101,101,101};
  int *cuts = new int[3];
  assert((RecursiveBisectionMinMax<int,int*>::rec_bisection(4,arr,14,cuts,-1)) == 30);
  assert(cuts[0] == 4);
  assert(cuts[1] == 7);
  assert(cuts[2] == 9);
}
